View Issue Details

IDProjectCategoryLast Update
0021300AI War 2[All Projects] GUIDec 6, 2019 12:49 pm
ReporterAnnoyingOrangeAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.868 Fleet EXP Level-Ups and Starting Battlestations 
Fixed in Version1.013 Menacing Messages From The Machine 
Summary0021300: Infobox bugs out in the Factions screen
DescriptionThe infobox that appears when hovering over options in the lobby will sometimes get stuck displaying "The Hunter Fleet looks for weaknesses in your defenses and attacks".
This first happens in the Factions screen when hovering over the Hunter fleet options, then the infobox continues working properly on the other screens but is still stuck when one returns to the Factions screen.
TagsNo tags attached.

Relationships

related to 0019763 resolvedx4000Bughunter Part of a Faction tooltip gets glued to my cursor after trying to pick the Marauders 
related to 0022122 resolvedx4000Bughunter Tooltips in at least Custom Start get "stuck" 
child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

x4000Bughunter

Jun 21, 2019 9:35 am

administrator   ~0051936

If you hover over something else, does that fix it on the factions screen?

AnnoyingOrange

Jun 21, 2019 9:37 am

reporter   ~0051937

No, as far as I can tell.
Tried both on the Factions screen and on the other two.

x4000Bughunter

Jun 21, 2019 9:54 am

administrator   ~0051939

Gotcha -- does it temporarily show the other thing and then go back to showing the faction?

I have yet to see this, so any info you can provide on steps to repro are useful, or beyond that just details about the behavior.

AnnoyingOrange

Jun 21, 2019 10:44 am

reporter   ~0051940

When on the Factions screen it doesn't show any other tooltip but the stuck one, on the other screens it works properly.

Found out how to reproduce: in the AI faction options, select "Hunter fleet type", pick any option from the dropdown, then select "AI type", hover over any option in the dropdown, and now the text is stuck.
Even quitting to the main menu and then reselecting "custom start" won't unstick it.

x4000Bughunter

Jun 21, 2019 11:17 am

administrator   ~0051942

I can indeed reproduce this -- thank you!!

x4000Bughunter

Dec 5, 2019 8:29 pm

administrator   ~0054844

I think that this variant was fixed (by chance) with the lobby redo, but that there's still another variant people are seeing? Badger mentioned it, and I recall seeing it. Is there a repro case anyone has?

Ovalcircle

Dec 5, 2019 9:16 pm

reporter   ~0054847

Yes.

Step 1. Go to the faction menu.
Step 2. click the AI type drop down and hover over an option about 4 from the top.
Step 3. Click on it and move the cursor down slightly faster than fast past all of the Hunter/Warden options and drop-downs. (Note: this might not work on the first try).
Step 4. The info-box should now be stuck on the cursor.

x4000Bughunter

Dec 6, 2019 12:49 pm

administrator   ~0054860

Thanks!

* Fixed a super-longstanding bug where if you were hovering over an item in a dropdown list and getting a tooltip for it, then closing the dropdown would sometimes leave that item "stuck" on. Now it detects this case and auto-fixes itself before you can really notice it.

Issue History

Date Modified Username Field Change
Jun 21, 2019 8:47 am AnnoyingOrange New Issue
Jun 21, 2019 9:35 am x4000Bughunter Note Added: 0051936
Jun 21, 2019 9:37 am AnnoyingOrange Note Added: 0051937
Jun 21, 2019 9:54 am x4000Bughunter Note Added: 0051939
Jun 21, 2019 10:11 am x4000Bughunter Relationship added child of 0020151
Jun 21, 2019 10:11 am x4000Bughunter Relationship added related to 0019763
Jun 21, 2019 10:11 am x4000Bughunter Assigned To => x4000Bughunter
Jun 21, 2019 10:11 am x4000Bughunter Status new => assigned
Jun 21, 2019 10:44 am AnnoyingOrange Note Added: 0051940
Jun 21, 2019 11:17 am x4000Bughunter Note Added: 0051942
Dec 5, 2019 8:29 pm x4000Bughunter Note Added: 0054844
Dec 5, 2019 8:30 pm x4000Bughunter Relationship added related to 0022122
Dec 5, 2019 9:16 pm Ovalcircle Note Added: 0054847
Dec 6, 2019 12:49 pm x4000Bughunter Status assigned => resolved
Dec 6, 2019 12:49 pm x4000Bughunter Resolution open => fixed
Dec 6, 2019 12:49 pm x4000Bughunter Fixed in Version => 1.013 Menacing Messages From The Machine
Dec 6, 2019 12:49 pm x4000Bughunter Note Added: 0054860